"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enum_utils_1 = require("@react-jsonschema-form-utils/enum-utils");
const parse_values_1 = require("@react-jsonschema-form-utils/parse-values");
const onChangeHandler = (givenOnChange, schema) => (e) => {
    if (e.target.value !== undefined) {
        const value = parse_values_1.coerceValue(schema.type, e.target.value);
        givenOnChange(value);
    }
};
exports.default = ({ onChange, options, schema }) => ({
    onPress: onChange && onChangeHandler(onChange, schema),
    row: options.inline,
    label: schema.title,
    choices: enum_utils_1.valuesToOptions(enum_utils_1.isEnum(schema)),
});
//# sourceMappingURL=radio-group.props.js.map